# -*- coding: utf-8 -*-
# snapshottest: v1 - https://goo.gl/zC4yUc
from __future__ import unicode_literals

from snapshottest import Snapshot


snapshots = Snapshot()

snapshots['test_seo_title_duplicate 1'] = [
]

snapshots['test_seo_title_too_long 1'] = [
    {
        'content': 'This page title may be too long (more than 60 characters). See https://moz.com/learn/seo/title-tag for more details.',
        'extra': {
            'title': 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.'
        },
        'fingerprint': '355058d8de37fd37f8012f17b1f75fdc',
        'severity': 30,
        'type': 'long-title',
        'url': 'https://example.com'
    }
]

snapshots['test_seo_img_alt_missing 1'] = [
    {
        'content': 'Image tag should have an alt attribute for SEO and accessibility purposes. The value of the alt attribute can be empty if the image is purely for visual/design puposes and little or no content value.',
        'extra': {
            'element': '<img/>'
        },
        'fingerprint': 'a7f5f98661002608fa6dcade388474e6',
        'severity': 40,
        'type': 'img-alt-missing',
        'url': 'https://example.com'
    },
    {
        'content': 'Image alt attribute should only be empty if this image has no purpose when it comes to content. You can safely ignore this issue if the image is just a design element.',
        'extra': {
            'element': '<img alt=""/>'
        },
        'fingerprint': '57c19d575ba9cb2c1668cc036a74647a',
        'severity': 30,
        'type': 'img-alt-empty',
        'url': 'https://example.com'
    }
]

snapshots['test_seo_title_missing 1'] = [
    {
        'content': 'Page title is missing',
        'extra': {
            'url': 'https://example.com'
        },
        'fingerprint': '39b17a63e0966f268759bbbd63e1c967',
        'severity': 40,
        'type': 'title-missing',
        'url': 'https://example.com'
    }
]

snapshots['test_seo_title_empty 1'] = [
    {
        'content': 'Page title is missing',
        'extra': {
            'url': 'https://example.com'
        },
        'fingerprint': '39b17a63e0966f268759bbbd63e1c967',
        'severity': 40,
        'type': 'title-missing',
        'url': 'https://example.com'
    }
]

snapshots['test_seo_title_duplicate 2'] = [
    {
        'content': 'Multiple pages should not use the same <title>.',
        'extra': {
            'title': 'Testing title out',
            'url': 'https://example.com/test'
        },
        'fingerprint': 'ef072920a92816dc589d24066ddaed24',
        'severity': 40,
        'type': 'duplicate-title',
        'url': 'https://example.com/test'
    }
]
